#
# spec file for package python-PyBindGen
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}

Name:           python-PyBindGen
Version:        0.22.1
Release:        bp155.1.7
Summary:        Python Bindings Generator
License:        LGPL-2.1-only
Group:          Development/Libraries/Python
URL:            https://github.com/gjcarneiro/pybindgen
Source0:        https://pypi.io/packages/source/P/PyBindGen/PyBindGen-%{version}.tar.gz
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
A tool to generate Python bindings for C/C++ code.

%prep
%setup -q -n PyBindGen-%{version}
# Remove some pointless she-bangs
find pybindgen/ -iname \*.py -exec sed -ie '1 { \#/usr/bin# d }' '{}' \;

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/

%files %{python_files}
%license COPYING
%{python_sitelib}/*

%changelog
* Thu Sep  1 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 0.22.1
  * Fix collections import (needed for Python 3.10)
* Thu Mar  3 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Remove some unnecessary she-bangs from installed module
* Thu Feb 24 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 0.22
  * No changelog available
* Wed Nov 27 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 0.20.1
  * fix for method returning const reference to a class, closes #21
- Update to 0.20.0
  * Merge pull request #18 from dan-eicher/master
    Ordered dicts and custom_names
* Sun Jun 24 2018 stefan.bruens@rwth-aachen.de
- Update to 0.19.0
  Remove python-PyBindGen-r870.patch
- Make package singlespec
- Cleanup
* Thu May 15 2014 reddwarf@opensuse.org
- Update to 0.17.0
- Remove all patches. Have been applied upstream.
- Add python-PyBindGen-r870.patch
* Sun Dec 22 2013 reddwarf@opensuse.org
- Add python-PyBindGen-r834.patch
  * Fix build problem with the 'bool const &' param type
* Wed Sep  4 2013 reddwarf@opensuse.org
- Add python-PyBindGen-r831.patch
  * Fixes UnboundLocalError in overloading.py
* Sat Jun  1 2013 reddwarf@opensuse.org
- Initial version
